%define	major 0.24
%define libname	%mklibname neon %{major}

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon0.24
Version:	0.24.7
Release:	%mkrel 21
Group:		System/Libraries
License: 	GPL
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/neon-%{version}.tar.gz
Source1: 	http://www.webdav.org/neon/neon-%{version}.tar.gz.asc
Patch0:		neon-0.23.9-config.patch
Patch1:		neon-0.24.7-gssapi.patch
Patch2:		neon-0.24.7-min.patch
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	libxml2-devel
BuildRequires:	libxmlrpc-devel
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	openssl >= 0.9.8
BuildRequires:	multiarch-utils >= 1.0.3
Provides:	libneon
Provides:	neon
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
neon is an HTTP and WebDAV client library for Unix systems, with a C language
API. It provides high-level interfaces to HTTP/1.1 and WebDAV  methods, and a
low-level interface to  HTTP request/response handling, allowing new methods to
be easily implemented.

%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	An HTTP and WebDAV client library, with a C interface
Group:		System/Libraries
Provides:	libneon
Provides:	neon

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems, with a C language
API. It provides high-level interfaces to HTTP/1.1 and WebDAV  methods, and a
low-level interface to  HTTP request/response handling, allowing new methods to
be easily implemented.
%endif

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libneon-devel = %{version}
Provides:	neon-devel = %{version}

%description -n	%{libname}-devel
neon is an HTTP and WebDAV client library for Unix systems, with a C language
API. It provides high-level interfaces to HTTP/1.1 and WebDAV  methods, and a
low-level interface to  HTTP request/response handling, allowing new methods to
be easily implemented.

This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static %{libname} library
Group:		Development/C++
Requires:	%{libname}-devel = %{version}
Provides:	libneon-static-devel = %{version}
Provides:	neon-static-devel = %{version}

%description -n	%{libname}-static-devel
neon is an HTTP and WebDAV client library for Unix systems, with a C language
API. It provides high-level interfaces to HTTP/1.1 and WebDAV  methods, and a
low-level interface to  HTTP request/response handling, allowing new methods to
be easily implemented.

Static %{libname} library.

%prep

%setup -q -n neon-%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .gssapi
%patch2 -p1 -b .min

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

# wierd stuff...
%define __libtoolize /bin/true

%serverbuild

%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl \
    --with-libxml2

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

mv src/README README.neon

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%multiarch_binaries %{buildroot}%{_bindir}/neon-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc doc/*.txt doc/html README.neon
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/neon-config
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/neon.pc
%{_includedir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a


%changelog
* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-21mdv2008.1
+ Revision: 178829
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Nov 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-19mdv2007.0
+ Revision: 87783
- disable tests that don't work under iurt
- rebuild
- Import libneon0.24

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-17mdv2007.1
- bunzip patches
- remove conditional macros for unsupported distros
- fix deps

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-16mdk
- rebuilt to fix one /lib6464 issue in openssl-devel

* Mon Nov 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-15mdk
- drop P3 as the bad record mac errors was caused by a crippled openssl

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.24.7-14mdk
- rebuilt against openssl-0.9.8a on x86_64

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-13mdk
- rebuilt against openssl-0.9.8a
- deactivate 3 failing tests for now

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 0.24.7-12mdk
- documentation for a lib is better put in the devel package
  (nb: libneon is required by rpm and is always installed)

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-11mdk
- fix deps

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.24.7-10mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-9mdk
- fix deps and provides

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-8mdk
- revert the last change, i'm getting nuxified

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-7mdk
- fix provides yet again...

* Sat May 28 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-6mdk
- fix provides

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-5mdk
- sync with fedora (P0,P1,P2)

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-4mdk
- rebuild

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-3mdk
- sync changelogs with the package allready in contribs

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-2mdk
- fix naming
- fix deps

* Tue Apr 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24.7-1mdk
- rename the package to libneon0.24

* Fri Apr 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24.5-1mdk
- 0.24.5

